@echo off

rem
rem This compiles the PSF driver stub (psfdrv.bin) using the PSY-Q tools.
rem You MUST change the "/o 0x80xxxxxx" option under psylink to the actual
rem address where you want your stub.
rem

if exist %~dpn1.bin del %~dpn1.bin
if exist %~dpn1.obj del %~dpn1.obj

rem Compile.
rem Note that -G 0 is crucial here to avoid using $gp.
%PSYQ_PATH%\ccpsx -G 0 -O2 -Wall -c %1

rem Link.
rem /o 0x80xxxxxx - origin of output. again, remember to change
rem /p            - pure binary output
rem /z            - fill BSS with zeroes
%PSYQ_PATH%\psylink /o 0x800C4800 /p /z %~dpn1.obj,%~dpn1.bin

del %~dpn1.obj
pause